{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare subroutine rlist \r\ndeclare function entid, repository, set_property, get_property, fieldcount\r\ndeclare function send_event, msg\r\n$insert rlist_equates\r\n$insert popup_equates\r\n$insert msg_equates\r\n\r\n\r\nrlist( 'SELECT P_NAMES BY LAST_FIRST WITH ENTRY_ID = ':quote( @user4 ), target_activelist$, '', '', '' )\r\nif @reccount then\r\n    PopupRec = entid( @appid<1>, 'POPUP', '', 'SHOW_P_NAMES' )\r\n    OverRide = ''\r\n    OverRide<pselect$> = 2\r\n    RetVals = repository( 'EXECUTE', PopupRec, @window, OverRide )\r\n    if RetVals then\r\n       convert @vm to @fm in RetVals\r\n       if fieldcount( RetVals, @fm ) > 1 then\r\n           Void = set_property( @window, 'QBFLIST', RetVals )\r\n           Void = set_property( @window, '@NoRead', 1 )  \r\n           Void = send_event( @window, 'READ' )\r\n\t       Void = set_property( @window, '@NoRead', 0 )\r\n       end else\r\n           .seq->text = RetVals\r\n           Void = send_event( @window:'.SEQ', 'LOSTFOCUS', '' )\r\n       end\r\n    end\r\nend else\r\n   MsgRec = ''\r\n   MsgRec<mtext$> = 'You do not have any personal names...'\r\n   MsgRec<micon$> = '!' \r\n   Void = msg( '', MsgRec )\r\nend\r\nRETURN 0"
        }
    }
}